pydo.autoscalepools.list_history()

Generated on 9 Jun 2026 from pydo version v0.36.0

Usage

client.autoscalepools.list_history(
    per_page=20,
    page=1,
    autoscale_pool_id="0d3db13e-a604-4944-9827-7ec2642d32ac",
)
Returns JSONRaises HttpResponseError

Description

To list all of the scaling history events of an autoscale pool, send a GET request to /v2/droplets/autoscale/{autoscale_pool_id}/history.

The response body will be a JSON object with a key of history. This will be set to an array containing objects each representing a history event.

Parameters

per_page integer optional

Number of items returned per page

Min: 1

Max: 200

Default: 20

page integer optional

Which 'page' of paginated results to return.

Min: 1

Default: 1

autoscale_pool_id string required

A unique identifier for an autoscale pool.

Pagination

This method returns paginated results. The response includes a links.pages object with URLs for navigating between pages. To retrieve the next page, parse the next URL and pass the page parameter:

from urllib.parse import urlparse, parse_qs

resp = client.autoscalepools.list_history(autoscale_pool_id="0d3db13e-a604-4944-9827-7ec2642d32ac", )
pages = resp.get("links", {}).get("pages", {})

while "next" in pages:
    parsed = urlparse(pages["next"])
    page = int(parse_qs(parsed.query)["page"][0])
    resp = client.autoscalepools.list_history(autoscale_pool_id="0d3db13e-a604-4944-9827-7ec2642d32ac", page=page)
    pages = resp.get("links", {}).get("pages", {})

Response Example

Show Response Example
{
  "history": [
    {
      "history_event_id": "01936530-4471-7b86-9634-32d8fcfecbc6",
      "current_instance_count": 2,
      "desired_instance_count": 2,
      "reason": "CONFIGURATION_CHANGE",
      "status": "success",
      "created_at": "2020-11-19T20:27:18Z",
      "updated_at": "2020-12-01T00:42:16Z"
    }
  ],
  "links": {
    "pages": null
  },
  "meta": {
    "total": 1
  }
}

More Information

See /v2/droplets/autoscale/{autoscale_pool_id}/history in the API reference for additional detail on responses, headers, parameters, and more.

We can't find any results for your search.

Try using different keywords or simplifying your search terms.